<%@ Control Language="vb" AutoEventWireup="true" CodeFile="ForwardMapping.ascx.vb" Inherits="ForwardMapping" %>
<%@ Register Assembly="Telerik.OpenAccess" Namespace="Telerik.OpenAccess" TagPrefix="telerik" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
</telerik:RadScriptManager>
		<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
		<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadTreeView1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadGrid1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
				<telerik:AjaxSetting AjaxControlID="RadGrid1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadGrid1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>
		<!-- content start -->
		<div style="float: left; width: 200px;">
			<telerik:RadTreeView ID="RadTreeView1"
				DataSourceID="OpenAccessDataSource1" MaxDataBindDepth="2"
				DataTextField="Name" runat="server" OnNodeClick="RadTreeView1_NodeClick" 
				OnDataBound="RadTreeView1_DataBound" >
				<DataBindings>
					<telerik:RadTreeNodeBinding Depth="0" ValueField="UserId" />
					<telerik:RadTreeNodeBinding Depth="1" ValueField="radProductId" />
				</DataBindings>
			</telerik:RadTreeView>
		</div>
		<div style="float: left;">
			<telerik:RadGrid ID="RadGrid1" Skin="Black" Width="600px"
				AutoGenerateColumns="False" AllowSorting="True" runat="server" GridLines="None">
				<MasterTableView>
					<Columns>
						<telerik:GridBoundColumn DataField="Product.Name" Visible="False" UniqueName="Product.Name" />
						<telerik:GridBoundColumn DataField="Title" HeaderText="Messages" UniqueName="Title" />
						<telerik:GridBoundColumn DataField="Date1" HeaderText="Date" UniqueName="Date1" />
					</Columns>
					<GroupByExpressions>
						<telerik:GridGroupByExpression>
							<GroupByFields>
								<telerik:GridGroupByField FieldName="Product.Name" FieldAlias="Product.Name" FormatString="" HeaderText="" />
							</GroupByFields>
							<SelectFields>
								<telerik:GridGroupByField FieldName="Product.Name" FieldAlias="Product.Name" FormatString="" HeaderText="" />
							</SelectFields>
						</telerik:GridGroupByExpression>
					</GroupByExpressions>
				</MasterTableView>
				<HeaderContextMenu Skin="Vista">
					<CollapseAnimation Duration="200" Type="OutQuint" />
				</HeaderContextMenu>
				<FilterMenu Skin="Vista">
					<CollapseAnimation Duration="200" Type="OutQuint" />
				</FilterMenu>
			</telerik:RadGrid>
		</div>
		&nbsp; &nbsp; &nbsp;&nbsp;<!-- content end -->

	<telerik:OpenAccessDataSource ID="OpenAccessDataSource1" runat="server" 
			ContextTypeName="" EnableDelete="True" EnableInsert="True" EnableUpdate="True" 
			ObjectContextProvider="PersistentClasses.ObjectScopeProvider1, PersistentClasses" 
			OrderBy="" TypeName="PersistentClasses.Users" Where="">
	</telerik:OpenAccessDataSource>
	<telerik:OpenAccessDataSource ID="OpenAccessDataSource2" runat="server" 
			ContextTypeName="" EnableDelete="True" EnableInsert="True" EnableUpdate="True" 
			ObjectContextProvider="PersistentClasses.ObjectScopeProvider1, PersistentClasses" 
			OrderBy="" TypeName="PersistentClasses.Messages" Where="UserId == @UserId">
		<whereparameters>
			<asp:SessionParameter Name="UserId" SessionField="UserId" />
		</whereparameters>
	</telerik:OpenAccessDataSource>
	<telerik:OpenAccessDataSource ID="OpenAccessDataSource3" runat="server" 
			ContextTypeName="" EnableDelete="True" EnableInsert="True" EnableUpdate="True" 
			ObjectContextProvider="PersistentClasses.ObjectScopeProvider1, PersistentClasses" 
			OrderBy="" TypeName="PersistentClasses.Messages" 
			Where="UserId == @UserId AND Product.RadProductId == @Product.RadProductId">
		<whereparameters>
			<asp:SessionParameter Name="UserId" SessionField="UserId" />
			<asp:SessionParameter Name="Product.RadProductId" SessionField="ProductId" />
		</whereparameters>
	</telerik:OpenAccessDataSource>